List Products
/store/:storeCode/productsRetrieve a paginated list of products.
Relations such as `variants` and `options` are included when requested via the `fields` query param — prefix a relation with `*` (e.g. `*variants,*options`). Pass `region_id` to include `calculated_price` on variants.
storeCoderequiredstringStore slug in the URL (first argument to every SDK store method).
limitnumberMaximum number of items to return.
offsetnumberNumber of items to skip before collecting the result set.
orderstringField to sort by. Prefix with `-` for descending order (e.g. `-created_at`).
fieldsstringComma-separated fields to include. Prefix with `*` to expand a relation (e.g. `id,*variants`).
qstringSearch query.
idstring | string[]Filter by product ID(s).
titlestringFilter by title.
handlestringFilter by handle.
category_idstring | string[]Filter by product category ID(s).
collection_idstring | string[]Filter by collection ID(s).
region_idstringRegion ID for calculated prices.
country_codestringCountry code for pricing context.
cart_idstringCart ID for pricing context.
Status
Schema
CopyProperties
productsrequiredStoreProduct[]List of products.
countrequirednumberTotal count.
offsetrequirednumberOffset applied.
limitrequirednumberLimit applied.